#ifndef COLOR_H
#define COLOR_H

#include "definitions.h"

class Color
{
    unsigned char redVal;
    unsigned char greenVal;
    unsigned char blueVal;
    int hexCharToInt(char hex);
public:
    Color();
    Color(int red, int green, int blue);
    Color(std::string rgbString);
    int red() const;
    int green() const;
    int blue() const;
    void setRGB(float r, float g, float b);
};

#endif // COLOR_H
