#ifndef DEFINITIONS_H
#define DEFINITIONS_H

#include <list>
#include <string>
#include <sstream>
#include <iostream>
#include <math.h>
#include <stdlib.h>

//-------- for debug
#define DBG1(x) std::cout<<std::endl<<x<<std::endl;
#define DBG2(x,y) std::cout<<std::endl<<x<<y<<std::endl;
#define DBG3(x,y,z) std::cout<<std::endl<<x<<y<<z<<std::endl;

//------ type of objects
#define OBJ_NOTYPE 0
#define OBJ_POINT 1
#define OBJ_LINE 5
#define OBJ_POLIGN 10

//-------- for world

#define OK 0
#define ERROR_AMOUNT_OF_POINTS 10
#define ERROR_OBJECT_NOT_EXIST 20
#define ERROR_INVALID_AXIS 20

//------- for objectcg
#define ERROR_NULL_POINTER -1999.99

//------- for curves
#define DEFAULT_ACCURACY 0.01
#define MINIMUM_STEP 0.001
#define MAXIMUM_STEP 0.1

//------- for transformations
enum Axis {X_AXIS, Y_AXIS, Z_AXIS};
#define ERROR_NULL_VECTOR 10

//------- for points
#define X 0
#define Y 1
#define Z 2


#endif // DEFINITIONS_H
