#ifndef EDGE_H
#define EDGE_H
#include "definitions.h"
#include "point.h"
class Edge
{
public:
    Point * p1;
    Point * p2;
    Edge();
    Edge(Point * p1, Point * p2);
    Edge(float p1x, float p1y, float p1z,float p2x, float p2y, float p2z);
    Edge * copy();
    float distance(Point * p);
    float distance(Edge * p);

};

#endif // EDGE_H
