#ifndef GBEZIER_H
#define GBEZIER_H

#include "definitions.h"
#include "graphicsobjects/gcurve.h"
#include "transformations.h"

namespace GraphicsObjects {

    class GBezier : public GCurve
    {
    public:
        GBezier(std::string name, std::list<Point*> points, Color * color);
        GBezier * copy();
        std::string type();
        std::list<Point*> generatePoints(float accuracy);
    };

}; // namespace GraphicsObjects

#endif // GBEZIER_H
