#ifndef GCURVE_H
#define GCURVE_H

#include "definitions.h"
#include "graphicsobjects/gobject.h"

namespace GraphicsObjects {

    class GCurve : public GObject
    {
    protected :
        std::list<Point*> generatePoints();
    public:
        GCurve(std::string name, Color * color);
        GCurve(std::string name, std::list<Point*> points, Color * color);
        bool clip();
        virtual bool clip(float accuracy);
        virtual std::list<Point*> generatePoints(float accuracy) = 0;
    };

} // namespace GraphicsObjects

#endif // GCURVE_H
