#ifndef GPOINT_H
#define GPOINT_H

#include "definitions.h"
#include "graphicsobjects/gobject.h"

namespace GraphicsObjects {

    class GPoint : public GObject
    {
    public:
        GPoint(float x, float y, float z);
        GPoint(std::string name, Point * point, Color * color);
        GPoint * copy();
        std::string type();
        bool clip();
        Point * point();
    };

} // namespace GraphicsObjects

#endif // GPOINT_H
