#ifndef GPOLIGN_H
#define GPOLIGN_H

#include "definitions.h"
#include "graphicsobjects/gobject.h"

namespace GraphicsObjects {

    class GPolygon : public GObject
    {
    public:
        bool fill;

        GPolygon(std::string name, std::list<Point*> points, Color * color, bool fill);
        GPolygon(std::string name, std::list<Point*> points, Color * color);
        GPolygon * copy();
        std::string type();
        bool clip();
    };

} // namespace GraphicsObjects

#endif // GPOLIGN_H
