#ifndef GWIREFRAME_H
#define GWIREFRAME_H

#include "definitions.h"
#include "graphicsobjects/gobject.h"

namespace GraphicsObjects {

    class GWireframe: public GObject
    {
    public:
        std::list<Edge *> edges;

        GWireframe(std::string name, std::list<Edge*> edges, Color * color);
        GWireframe * copy();
        std::string type();
        void addEdge(Point * p1, Point * p2);
        bool clip();
    };

} // namespace GraphicsObjects
#endif // GWIREFRAME_H
