#ifndef GBSPLINE_H
#define GBSPLINE_H

#include "definitions.h"
#include "graphicsobjects/gcurve.h"
#include "transformations.h"

namespace GraphicsObjects {

    class GBSpline : public GCurve
    {
    public:
        GBSpline(std::string name, std::list<Point*> points, Color * color);
        GBSpline * copy();
        std::string type();
        std::list<Point*> generatePoints(float accuracy);
    };

}; // namespace GraphicsObjects

#endif // GBSPLINE_H


