#ifndef GBSPLINESURFACE_H
#define GBSPLINESURFACE_H

#include "definitions.h"
#include "graphicsobjects/gcurve.h"
#include "transformations.h"

namespace GraphicsObjects {

    class GBSplineSurface : public GCurve
    {
        Point * pointsMatrix[4][4];
    public:
        GBSplineSurface(std::string name, Point * pointsMatrix[4][4], Color * color);
        GBSplineSurface * copy();
        std::string type();
        std::list<Point*> generatePoints(float accuracy);
        bool clip(float accuracy);
    };

}; // namespace GraphicsObjects

#endif // GBSPLINESURFACE_H
