#include "point.h"

Point::Point()
{
    Point::Point(0, 0, 0);
}

Point::Point(float x, float y, float z)
{
    Point::x = x;
    Point::y = y;
    Point::z = z;
}

Point::~Point()
{
}

Point * Point::copy() {
    return new Point(x, y, z);
}

float Point::distance(Point * p) {
    double dx = (p->x - x);
    double dy = (p->y - y);
    double dz = (p->z - z);
    return sqrt(dx*dx + dy*dy + dz*dz);
}

void Point::toVector(float vector[4]) {
    vector[0] = x;
    vector[1] = y;
    vector[2] = z;
    vector[3] = 1;
}

void Point::fromVector(float vector[3]) {
    x = vector[0];
    y = vector[1];
    z = vector[2];
}
