#ifndef POINT_H
#define POINT_H

#include "definitions.h"

class Point
{
public:
    float x;
    float y;
    float z;

    Point();
    Point(float x, float y, float z);
    ~Point();
    Point * copy();
    float distance(Point * p);
    void toVector(float vector[4]);
    void fromVector(float vector[3]);
};

#endif // POINT_H
